Bug 19993 - use Modern::Perl in Acquisition perl scripts
Summary: use Modern::Perl in Acquisition perl scripts
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Charlotte Cordwell
QA Contact: Testopia
URL:
Whiteboard:
Keywords: Academy
Depends on:
Blocks: 2505
  Show dependency treegraph
 
Reported: 2018-01-17 04:33 UTC by Aleisha Amohia
Modified: 2018-04-06 13:30 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 19993: use Modern::Perl in Acquisition perl scripts (12.36 KB, patch)
2018-01-18 00:51 UTC, Charlotte Cordwell
Details | Diff | Splinter Review
Bug 19993: use Modern::Perl in Acquisition perl scripts (12.46 KB, patch)
2018-01-23 13:27 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 19993: use Modern::Perl in Acquisition perl scripts (12.70 KB, patch)
2018-02-04 14:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Aleisha Amohia 2018-01-17 04:33:22 UTC
use Modern::Perl should be used instead of use strict; use warnings;

Relevant in:
acqui/spent.pl
acqui/supplier.pl
acqui/uncertainprice.pl
acqui/updatesupplier.pl
acqui/z3950_search.pl
Comment 1 Aleisha Amohia 2018-01-17 04:35:51 UTC
Oops I missed a few. This is the full list of acqui perl scripts:
acqui-home.pl
addorder.pl
basketgroup.pl
basketheader.pl
booksellers.pl
check_budget_total.pl
check_duplicate_barcode_ajax.pl
edi_ean.pl
edifactmsgs.pl
edimsg.pl
finishreceive.pl
histsearch.pl
invoice.pl
invoices.pl
neworderbiblio.pl
neworderempty.pl
newordersuggestion.pl
ordered.pl
orderreceive.pl
parcel.pl
parcels.pl
pdfformat/layout2pages.pm
pdfformat/layout2pagesde.pm
pdfformat/layout3pages.pm
pdfformat/layout3pagesfr.pm
spent.pl
supplier.pl
uncertainprice.pl
updatesupplier.pl
z3950_search.pl
Comment 2 Charlotte Cordwell 2018-01-18 00:51:59 UTC
Created attachment 70657 [details] [review]
Bug 19993: use Modern::Perl in Acquisition perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

acqui-home.pl
addorder.pl
basketgroup.pl
basketheader.pl
booksellers.pl
check_budget_total.pl
check_duplicate_barcode_ajax.pl
edi_ean.pl
edifactmsgs.pl
edimsg.pl
finishreceive.pl
histsearch.pl
invoice.pl
invoices.pl
neworderbiblio.pl
neworderempty.pl
newordersuggestion.pl
ordered.pl
orderreceive.pl
parcel.pl
parcels.pl
pdfformat/layout2pages.pm
pdfformat/layout2pagesde.pm
pdfformat/layout3pages.pm
pdfformat/layout3pagesfr.pm
spent.pl
supplier.pl
uncertainprice.pl
updatesupplier.pl
z3950_search.pl
Comment 3 Owen Leonard 2018-01-23 13:27:00 UTC
Created attachment 70828 [details] [review]
Bug 19993: use Modern::Perl in Acquisition perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

acqui-home.pl
addorder.pl
basketgroup.pl
basketheader.pl
booksellers.pl
check_budget_total.pl
check_duplicate_barcode_ajax.pl
edi_ean.pl
edifactmsgs.pl
edimsg.pl
finishreceive.pl
histsearch.pl
invoice.pl
invoices.pl
neworderbiblio.pl
neworderempty.pl
newordersuggestion.pl
ordered.pl
orderreceive.pl
parcel.pl
parcels.pl
pdfformat/layout2pages.pm
pdfformat/layout2pagesde.pm
pdfformat/layout3pages.pm
pdfformat/layout3pagesfr.pm
spent.pl
supplier.pl
uncertainprice.pl
updatesupplier.pl
z3950_search.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Corrected a single semicolon in edimsg.pl during signoff.
Comment 4 Katrin Fischer 2018-02-04 14:43:41 UTC
Created attachment 71198 [details] [review]
Bug 19993: use Modern::Perl in Acquisition perl scripts

Test Case:
Check the following files have been updated from
use strict;
use warnings;
to
use Modern::Perl;

acqui-home.pl
addorder.pl
basketgroup.pl
basketheader.pl
booksellers.pl
check_budget_total.pl
check_duplicate_barcode_ajax.pl
edi_ean.pl
edifactmsgs.pl
edimsg.pl
finishreceive.pl
histsearch.pl
invoice.pl
invoices.pl
neworderbiblio.pl
neworderempty.pl
newordersuggestion.pl
ordered.pl
orderreceive.pl
parcel.pl
parcels.pl
pdfformat/layout2pages.pm
pdfformat/layout2pagesde.pm
pdfformat/layout3pages.pm
pdfformat/layout3pagesfr.pm
spent.pl
supplier.pl
uncertainprice.pl
updatesupplier.pl
z3950_search.pl

Signed-off-by: Owen Leonard <oleonard@myacpl.org>

Corrected a single semicolon in edimsg.pl during signoff.

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 5 Jonathan Druart 2018-02-05 12:58:42 UTC
Pushed to master for 18.05, thanks to everybody involved!
Comment 6 Nick Clemens 2018-02-16 00:57:09 UTC
Awesome work all! Enhancement not backported to stable.